Aria: ArGlobalFunctor1< P1 > Class Template Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArGlobalFunctor1< P1 > Class Template Reference

`#include <ArFunctor.h>`

Inheritance diagram for ArGlobalFunctor1< P1 >:

List of all members.

## Detailed Description

### template<class P1>
class ArGlobalFunctor1< P1 >

Functor for a global function with 1 parameter.

This is a class for global functions which take 1 parameter. This ties a C style function pointer into the functor class hierarchy as a convience. Code that has a reference to this class and treat it as an ArFunctor can use it like any other functor.

For an overall description of functors, see ArFunctor.

## Public Member Functions
| ArGlobalFunctor1 (void(*func)(P1), P1 p1)
| Constructor - supply function pointer, default parameters.
| ArGlobalFunctor1 (void(*func)(P1))
| Constructor - supply function pointer.
| ArGlobalFunctor1 ()
| Constructor.
virtual void | invoke (P1 p1)
| Invokes the functor.
virtual void | invoke (void)
| Invokes the functor.
virtual void | setP1 (P1 p1)
| Set the default parameter.
virtual | ~ArGlobalFunctor1 ()
| Destructor.
## Protected Attributes
void(* | myFunc )(P1)
P1 | myP1

## Constructor & Destructor Documentation

template<class P1>

ArGlobalFunctor1< P1 >::ArGlobalFunctor1 | ( | void(*)(P1) | func | ) | `[inline]`

Constructor - supply function pointer.

Parameters:

  | func | global function pointer

template<class P1>

ArGlobalFunctor1< P1 >::ArGlobalFunctor1 | ( | void(*)(P1) | func,
|  | P1 | p1 |
| ) |  |  | `[inline]`

Constructor - supply function pointer, default parameters.

Parameters:

  | func | global function pointer
  | p1 | default first parameter

## Member Function Documentation

template<class P1>

virtual void ArGlobalFunctor1< P1 >::invoke | ( | P1 | p1 | ) | `[inline, virtual]`

Invokes the functor.

Parameters:

  | p1 | first parameter

Implements ArFunctor1< P1 >.

template<class P1>

virtual void ArGlobalFunctor1< P1 >::setP1 | ( | P1 | p1 | ) | `[inline, virtual]`

Set the default parameter.

Parameters:

  | p1 | default first parameter

The documentation for this class was generated from the following file:

- ArFunctor.h